<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:context="http://www.springframework.org/schema/context"
       xmlns:mvc="http://www.springframework.org/schema/mvc" xmlns:aop="http://www.springframework.org/schema/aop"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
	http://www.springframework.org/schema/beans/spring-beans.xsd
	http://www.springframework.org/schema/aop 
http://www.springframework.org/schema/aop/spring-aop-3.2.xsd  ">
    <!-- 线下服务人员接口配置 -->
    <import resource="classpath*:application/applicationContext-hibernate.xml"/>
    <bean id="customerdao" class="com.taiyiche.goldkey.customer.dao.impl.CustomerDaoImpl">
        <property name="sessionFactory" ref="sessionFactory"></property>
    </bean>
    <bean id="customerservice" class="com.taiyiche.goldkey.customer.service.impl.CustomerServiceImpl">
        <property name="dao" ref="customerdao"></property>
    </bean>

    <bean id="customer4Sservice" class="com.taiyiche.goldkey.customer.service.impl.Customer4SServiceImpl">
        <property name="dao" ref="customerdao"></property>
    </bean>
</beans>
